memtester(8)

NAME
memtester - stress test to find memory subsystem faults.

SYNOPSIS
memtester <MEMORY> [ITERATIONS]

DESCRIPTION

memtester is an effective userspace tester for stress-testing the memory subsystem. It is very effective at finding intermittent and non-deterministic faults. Note that problems in other hardware areas (overheating CPU, out-of-specification power supply, etc.) can cause memory faults.

memtester will malloc(3) the amount of memory specified, if possible. If this fails, it will decrease the amount of memory requested until it succeeds. It will then attempt to mlock(3) this memory; if it cannot do so, testing will be slower and less effective.

OPTIONS

MEMORY
    the amount of memory to allocate and test, in megabytes

ITERATIONS
    (optional) number of loops to iterate through. Default is infinite.

NOTE

memtester must be run with root privileges to mlock(3) its pages. Testing memory without locking the pages in place is mostly pointless and slow.

EXIT CODE

memtester's exit code is 0 when everything works properly. Otherwise, it is the logical OR of the following values:

x01 error allocating or locking memory, or invocation error

x02 error during stuck address test

x04 error during one of the other tests

AUTHOR
Written by Charles Cazabon.

REPORTING BUGS
Report bugs to <memtester-bugs@discworld.dyndns.org>.

COPYRIGHT
Copyright © 2006 Charles Cazabon
This is free software; see the file COPYING for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.